package cn.com.tenlion.systembase.controller.route.teamuser;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import cn.com.tenlion.systembase.service.teamuser.ITeamUserService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: TeamUserController
 * @Description: 综治队伍
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:26:41
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "综治队伍路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/teamuser")
public class TeamUserRouteController extends DefaultBaseController {

    @GetMapping("search")
    public ModelAndView search() {
        return new ModelAndView("teamuser/search");
    }

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("teamuser/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("teamuser/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("teamuser/list");
    }

}